Bug 106978 - Cancelling Text Install generates exception
Summary: Cancelling Text Install generates exception
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-10-14 03:41 UTC by Sean Earp
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 15:44:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda crash dump (535.20 KB, text/plain)
2003-10-14 03:44 UTC, Sean Earp
no flags Details

Description Sean Earp 2003-10-14 03:41:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5a)
Gecko/20030728 Mozilla Firebird/0.6.1

Description of problem:
With Fedora Test 3, if you select the text install, and choose whatever options
you want (I have tried several different configurations), and get all the way to
the end (where it tells you which CD's you will need), but at that point you
choose "reboot" instead of "continue", you get the following error message:

Exception Occurred

An unhandled exception has occurred.  This is most likely a bug.  Please copy
the full text of this exception or save the crash dump to a floppy then file a
detailed bug report against anaconda at http://bugzilla.redhat.com/bugzilla/.

Traceback (most recent call last):
File :/usr/bin/anaconda", line 1120, in ?
intf.run(id, dispatch, configFileData)
File"/usr/lib/anaconda/text.py", line 451, in run
rc = apply(win, (self,screen, ) + args)
File
"/usr/lib/anaconda/textw/confirm_text.py",
line 65, in __call__
sys.exit(0)
NameError: global name 'sys' is not defined

OK     Save    Debug


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Choose text-mode install
2. Proceed normally
3. Change your mind at the end, and choose "reboot" instead of install
    

Actual Results:  Unhandled Exception

Expected Results:  Computer should have rebooted

Additional info:

Comment 1 Sean Earp 2003-10-14 03:44:32 UTC
Created attachment 95153 [details]
Anaconda crash dump

Comment 2 Michael Fulbright 2003-10-14 19:18:13 UTC
Thanks for the report I have made a fix for this issue.

Comment 3 Sean Earp 2003-10-14 20:09:50 UTC
Thanks Mike-

Do you have an Anaconda update? I'll try the fixed version...

-Sean


Note You need to log in before you can comment on or make changes to this bug.